System.ServiceModel 4.0.0.0 System.ServiceModel.Security.SecurityStateEncoder

This class is used for encoding the security state as represented by a Stateful Security Context Token when the message is sent, and for decoding the security context when the message arrives at a recipient.

The encoding can either be in the current user scope (whereby only processes running as the user account can decode the security state) or it can be in the local machine scope (whereby all processes running on the machine can decode the security state). By default, the encoding is in the current user scope.

This class is used by the server when sending the security state in the Stateful Security Context Token issued to the client.

DataProtection based on the CurrentUser scope requires the current user to have a user profile. If the user has a roaming profile, then the security state encoded by the user process running on one machine can be decoded by a user process running on a different machine.

Provides encoding and decoding mechanisms for the security state using the Windows DataProtection API functionality.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of this class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of this class.

  Indicates whether to use the current user protection scope.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of this class.

  Indicates whether to use the current user protection scope.
  A byte array that specifies the entropy, which indicates additional randomness that the encoder could use to encode the security state.
- Method
  4.0.0.0
  System.Byte[] `` To be added.

  Decodes the security state.

  A byte array that represents the decoded security state.

  A byte array that represents the encoded security state.
- Method
  4.0.0.0
  System.Byte[] `` To be added.

  Encodes the security state.

  A byte array that represents the encoded security state.

  A byte array representing the decoded security state.
- Method
  4.0.0.0
  System.Byte[] To be added.

  Indicates the randomness of this encoder.

  An array of type .

- Method
  4.0.0.0
  System.String

  Information returned by this method includes the and values of the current instance.

  Returns a string that represents the current instance.

  A that represents the current instance.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether to use the current user protection scope.